<?php
    echo '<h1>Első példa</h1>'; // főcím kiíratása
    // csatlakozás az adatbázishoz
    $conn = mysqli_connect('localhost', 'root','') or die("Hibás csatlakozás!");

    // a karakterek helyes megjelenítése miatt be kell állítani a karakterkódolást!
    mysqli_query($conn, 'SET NAMES UTF-8');
    mysqli_query($conn, "SET character_set_results=utf8");
    mysqli_set_charset($conn, 'utf8');
         
    if ( mysqli_select_db($conn, 'pelda') ) {    // ha sikeres az adatbázis kiválasztása    
        // lekérdezzük a városokat a "varosok" táblából
        
        $sql = "SELECT id, varosnev, megye FROM varosok"; // ez csak egy string, még nem hajtódik végre
        $res = mysqli_query($conn, $sql) or die ('Hibás utasítás!'); // végrehajtjuk az SQL utasítást
          
        // html táblázatként íratjuk ki;
        echo '<table border=1>';
        echo '<tr>';            // táblázat fejléce
        echo '<th>ID</th>';        
        echo '<th>Városnév</th>';
        echo '<th>Megye</th>';
        echo '</tr>';
        
        // a táblázat sorai
        while ( ($current_row = mysqli_fetch_assoc($res))!= null) {    // most asszociatív tömbként kezeljük a sorokat
            echo '<tr>';
            echo '<td>' . $current_row["id"] . '</td>';
            echo '<td>' . $current_row["varosnev"] . '</td>';
            echo '<td>' . $current_row["megye"] . '</td>';
            echo '</tr>';
        }
        echo '</table>';
        
        mysqli_free_result($res);    // felszabadítjuk a lefoglalt memóriát
    } else {                                    // nem sikerült csatlakozni az adatbázishoz
        die('Nem sikerült csatlakozni az adatbázishoz.');
    }
 
    mysqli_close($conn); // lezárjuk az adatbázis-kapcsolatot
 
?>
